/* -*- mode: c++; c-basic-offset: 3; -*- */
#include "html/script.hh"
#include "html/genAttr.hh"
#include "html/writer.hh"
#include <cstring>
#include <sstream>

using namespace std;
using namespace html;
//====================================== Construct an empty test object
script::script(void) {
}

//======================================  Data constructor
script::script(const std::string& x) {
   addScript(x);
}

//======================================  Destroy a script object
script::~script(void) {
}

//======================================  Clone a script object
script* 
script::clone(void) const {
   return new script(*this);
}

//======================================  Write the object to an html file
void 
script::write(writer& out) const {
   out.tag("script", mAttr);
   out.text(mScript);
   out.endTag("script");
}

//======================================  Replace the script
void 
script::insertScript(const std::string& txt) {
   mScript.erase();
   addScript(txt);
}

//======================================  Append a script string
void 
script::addScript(const std::string& txt) {
   mScript += txt;
}

//======================================  Append a script string
script& 
script::operator<<(const std::string& txt) {
   addScript(txt);
   return *this;
}

//======================================  Set the script color
void
script::setSource(const string& src) {
   mAttr.addAttr("src", genAttr(src));
}

//======================================  set the script font
void
script::setType(const string& lang) {
   mAttr.addAttr("type", genAttr(lang));
}
